This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 867420 - Some cluster environment variables of scalable jbossas-7/jbosseap-6.0 apps are incorrect
Some cluster environment variables of scalable jbossas-7/jbosseap-6.0 apps ar...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 09:29 EDT by jizhao
Modified: 2015-05-14 19:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: devenv_2350+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jizhao 2012-10-17 09:29:34 EDT
Description of problem:
Some cluster environment variables of jbossas-7/jbosseap-6.0 apps are incorrect.

Version-Release number of selected component (if applicable):
devenv_2341

How reproducible:
Always

Steps to Reproduce:
1.Create a scalable jbossas-7/jbosseap-6.0 app
2.Login the app via rhcsh
3.Run "env | grep CLUSTER"
  
Actual results:
<------------------------------output---------------------------->
normal jbossas-7:
OPENSHIFT_JBOSSAS_CLUSTER=127.0.251.1[7600]
OPENSHIFT_JBOSSAS_CLUSTER_REMOTING=127.0.251.1:4447

scalable jbossas-7:
OPENSHIFT_JBOSSAS_CLUSTER=3da795d4b2-jizhao2.dev.rhcloud.com[],JBOSSAS_HAPROXY_CLUSTER
OPENSHIFT_JBOSSAS_CLUSTER_REMOTING=3da795d4b2-jizhao2.dev.rhcloud.com[],JBOSSAS_HAPROXY_REMOTING

normal jbosseap-6.0:
OPENSHIFT_JBOSSEAP_CLUSTER=127.0.255.1[7600]
OPENSHIFT_JBOSSEAP_CLUSTER_REMOTING=127.0.255.1:4447

scalable jbosseap-6.0:
OPENSHIFT_JBOSSEAP_CLUSTER=1ef9b3cd02-jizhao2.dev.rhcloud.com[],JBOSSEAP_HAPROXY_CLUSTER
OPENSHIFT_JBOSSEAP_CLUSTER_REMOTING=1ef9b3cd02-jizhao2.dev.rhcloud.com[],JBOSSEAP_HAPROXY_REMOTING
<--------------------------------------------------------------->

Expected results:
OPENSHIFT_JBOSSEAP_CLUSTER, OPENSHIFT_JBOSSEAP_CLUSTER_REMOTING should be correct.

Additional info:
Comment 1 Dan Mace 2012-10-18 15:21:23 EDT
Fix is awaiting merge:

https://github.com/openshift/origin-server/pull/713
Comment 2 jizhao 2012-10-21 23:23:28 EDT
Verify this bug on devenv_2360

Steps to verify:
1.Create a scalable jbossas-7/jbosseap-6.0 app
2.Login the app via rhcsh
3.Run "env | grep CLUSTER"

Actual results:
Scalable jbossas-7 app:
OPENSHIFT_JBOSSAS_CLUSTER=4cabd47004-jizhao1.dev.rhcloud.com[35537],app1-jizhao1.dev.rhcloud.com[35542]
OPENSHIFT_JBOSSAS_CLUSTER_REMOTING=4cabd47004-jizhao1.dev.rhcloud.com[35540],app1-jizhao1.dev.rhcloud.com[35545]

Scalable jbosseap-6.0 app:
OPENSHIFT_JBOSSEAP_CLUSTER=859a877468-jizhao1.dev.rhcloud.com[35552],app2-jizhao1.dev.rhcloud.com[35547]
OPENSHIFT_JBOSSEAP_CLUSTER_REMOTING=859a877468-jizhao1.dev.rhcloud.com[35555],app2-jizhao1.dev.rhcloud.com[35550]

Note You need to log in before you can comment on or make changes to this bug.